From akpm@osdl.org Mon Jul 25 23:32:55 2005
Message-Id: <200507260629.j6Q6T918004699@shell0.pdx.osdl.net>
Subject: PCI: Move PCI fixup data into r/o section
From: akpm@osdl.org
To: ralf@linux-mips.org, greg@kroah.com
Date: Mon, 25 Jul 2005 23:28:14 -0700

Make PCI fixup data const, so it'll end up in a r/o section.

This also fixes the conversion into ECOFF which gets broken by too many
changes between r/w and r/o sections.  Call it a hack but it's a change
that's correct by itself.

Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 include/linux/pci.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/include/linux/pci.h	2005-08-17 09:58:00.000000000 -0700
+++ gregkh-2.6/include/linux/pci.h	2005-08-17 10:01:12.000000000 -0700
@@ -1067,7 +1067,7 @@ enum pci_fixup_pass {
 
 /* Anonymous variables would be nice... */
 #define DECLARE_PCI_FIXUP_SECTION(section, name, vendor, device, hook)	\
-	static struct pci_fixup __pci_fixup_##name __attribute_used__	\
+	static const struct pci_fixup __pci_fixup_##name __attribute_used__ \
 	__attribute__((__section__(#section))) = { vendor, device, hook };
 #define DECLARE_PCI_FIXUP_EARLY(vendor, device, hook)			\
 	DECLARE_PCI_FIXUP_SECTION(.pci_fixup_early,			\
